/*##########################################
Name: Custom styling for Niceforms v.1.0
Author: Yannick Lepetit
##########################################*/

/*General styles - NOT really related to the forms*/

img {border:0;}
#container {padding:20px;}

/*Forms defaults - change as needed*/
input, textarea {
    font-family:Arial, Helvetica, sans-serif;
    font-size:12px;
    color:#404040;
}

/*Transparent items*/
.outtaHere {
    position:absolute;
    left:-3000px;
}

/*Radio buttons*/
.radioArea, .radioAreaChecked {
    display:block;
    float:left;
    clear:left;
    width:15px;
    height:14px;
    font-size:0;
    cursor:pointer;
}
.radioArea { }
.radioAreaChecked { }

/*Checkboxes*/
.checkboxArea, .checkboxAreaChecked {
    display:block;
    float:left;
    clear:left;
    width:13px;
    height:13px;
    font-size:0;
    padding:0;
    margin:0;
    cursor:pointer;
}
.checkboxArea { }
.checkboxAreaChecked { }
.focused {border:1px dotted #ddd;}

/*Text inputs*/
.textinput, .textinputHovered {
    height:15px;
    border:none;
    padding:4px 0;
    vertical-align:middle;
}
.textinputHovered {background-position:left bottom;}
.inputCorner {
    padding-bottom:0;
    vertical-align:middle;
}

/*Text areas*/
.txtarea .tr, .txtarea .tr_xon { }
.txtarea .tr_xon { }
.txtarea img.txt_corner {
    width:5px;
    height:5px;
    display:block;
}
.txtarea .br, .txtarea .br_xon { }
.txtarea .br_xon { }
.txtarea .cntr { }
.txtarea .cntr_xon { }
.txtarea .cntr_l, .txtarea .cntr_l_xon {
    width:5px;
    float:left;
}
.txtarea .cntr_l_xon { }
.txtarea textarea {
    border:0;
    background:none;
    padding:0;
    margin:5px;
    overflow:hidden;
}

/*Selects*/
.selectArea {
    width:260px;
    height:25px;
    background:url(../img/niceforms/select-bg.gif) repeat-x left top;
}
.selectArea .left {
    width:5px;
    height:25px;
    float:left;
    background:url(../img/niceforms/select-left.gif) no-repeat left top;
}
.selectArea .right {
    width:28px;
    height:25px;
    float:right;
    background:url(../img/niceforms/select-right.gif) no-repeat left top;
}
.selectArea .right a {
    display:block;
    width:200px;
    height:21px;
    margin-left:-179px;
    position:absolute;
}
.selectArea .right i {display:none;}
.selectArea .center {
    width:225px;
    padding-top:5px;
    padding-left:3px;
    overflow:hidden;
    white-space:nowrap;
}

/*Selects drop-down*/
.optionsDivInvisible, .optionsDivVisible {
    position:absolute;
    margin-top:4px;
    margin-left:1px;
    width:226px;
    background:white;
    border:1px solid #B4B4B4;
    color:black;
    padding:2px;
    font-size:11px;
    z-index:32;
}
.optionsDivInvisible {display:none;}
.optionsDivVisible {display:block; max-height:140px; overflow:auto; }
.optionsDivVisible p { margin:0; padding:0; }
.optionsDivVisible a { text-decoration:none; display:block; padding:1px 4px; }

/* Selects drop-down home page (color) */
.home #optionsDiv0.optionsDivVisible p a.optionDisabled,
    .home #optionsDiv1.optionsDivVisible p a.optionDisabled {font-weight:bold;color:black;background:white;padding:2px 0 0 10px;cursor: default; pointer-events: none;}
.home #optionsDiv0.optionsDivVisible p a.titreListe,
     .home #optionsDiv1.optionsDivVisible p a.titreListe {color:black;background:white;padding:2px 0 0 0px;}
.home #optionsDiv0.optionsDivVisible p strong, 
    .home #optionsDiv1.optionsDivVisible p strong { font-style:italic;font-size:1.4em; padding:4px 0 0 0px;cursor:default; }
.home #optionsDiv0.optionsDivVisible p a,
     .home #optionsDiv1.optionsDivVisible p a {color:#000000; font-size:1em; padding:2px 0 0 20px;cursor:pointer; text-decoration:none; display:block;}
.home #optionsDiv0.optionsDivVisible a:hover, 
    .home #optionsDiv1.optionsDivVisible a:hover { text-decoration:none; display:block;background:#5F6062; border-color:#cfd0d6; color:white; }
.optionsDivVisible a:hover { background:#5F6062; border-color:#cfd0d6; color:white; }


/*Button*/
.buttonSubmit, 
    .buttonSubmitHovered {
    width:34px;
    height:30px;
    background:url(../img/niceforms/input-ok.png) no-repeat left top;
    text-indent:-9999px; 
    overflow:hidden;
    cursor:pointer;
    border:none;
}
/*.buttonSubmitHovered {background-position:left bottom;}*/
.buttonImg {vertical-align:bottom;}
* html .buttonSubmit, 
    * html .buttonSubmitHovered { background:url(../img/niceforms/input-ok.gif) left top no-repeat; }
* html #headerNav .buttonSubmit,
    * html #headerNav .buttonSubmitHovered { background:url(../img/niceforms/input-ok-header.gif) left top no-repeat; }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
/* END */